Today after some weeks not running vmware in my Ubuntu Feisty, which was originally Dapper, upgraded to Edgy and now to Feisty, I have use this method to upgrade Edgy to Feisty.

Ok, today when I tried to use VMware I got this message

…libpng12.so.0: no version information available…, What I did to fix this is:

sudo apt-get remove libdbus-1-2

If this does not work for you try also this:

sudo cp /usr/lib/libpng12.so.0 /usr/lib/vmware/lib/libpng12.so.0/